Name: thunar-media-tags-plugin
Version: 0.1.2
Release: alt3

Summary: Thunar media tag plugin
License: GPL
Group: Graphical desktop/XFce
Url: http://goodies.xfce.org/projects/thunar-plugins/thunar-media-tags-plugin
Packager: Ilya Mashkin <oddity@altlinux.ru>

Source: %name-%version.tar
# Patches from Debian
Patch1: 01_port-to-thunarx-2.patch
Patch2: 02_port-to-exo-1.patch
Patch3: 03_fix-crash-with-ogg-video-files.patch
Patch4: 04_fix-implicit-dso-linking.patch

BuildPreReq: rpm-build-xfce4 xfce4-dev-tools
# Automatically added by buildreq on Thu Nov 09 2006
BuildRequires: libThunar-devel libexo-devel libgtk+2-devel libtag-devel libxfce4util-devel perl-XML-Parser intltool

%description
The thunar-media-tags-plugin is a plugin for the Thunar File Manager,
which adds ID3/OGG tag support to the bulk rename dialog.

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%xfce4reconf
%configure
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README ChangeLog AUTHORS
%exclude %_libdir/thunarx-*/*.la
%_libdir/thunarx-*/*.so

%changelog
* Thu Jan 27 2011 Mikhail Efremov <sem@altlinux.org> 0.1.2-alt3
- Spec update & cleanup.
- Fix Url.
- tar.bz2 -> tar.
- Add patches from Debian (port to exo-1 and thunarx-2).

* Fri May 08 2009 Ilya Mashkin <oddity@altlinux.ru> 0.1.2-alt2
- fix build, update requires

* Mon Jan 29 2007 Eugene Ostapets <eostapets@altlinux.ru> 0.1.2-alt1
- new version

* Fri Oct 06 2006 Eugene Ostapets <eostapets@altlinux.ru> 0.1.1-alt1
- First build for Sisyphus.

